/* copyright  by Stefan Voitel, 2003 - all rights reserved                   */
/* eMail : stefan.voitel@winways.de                                           */

#include <windows.h>
#include "AgtSvr.h"

class cMMControl;

class cAgentCommands {

public:

    cAgentCommands();
   ~cAgentCommands();

protected:

   IAgentCharacterEx   *iCharacterEx;
   long                 CharacterID;
   bool                 StopPlaying;
   long                 RequestID;

   bool     Speak       (char *Text);
   bool     Think       (char *Text);
   bool     Play        (char *Animation);
   bool     MoveTo      (char *Position);
   bool     Move        (char *DeltaPosition);
   bool     Show        (char *Speed);
   bool     Hide        (char *Speed);

   bool     Size        (char *NewSize);
   bool     Resize      (char *DummyArg = NULL);
   bool     Name        (char *Name);
   bool     Sounds      (char *Switch);
   bool     Language    (char *Language);
   bool     Menu        (char *Enable);
   bool     Volume      (char* Volume);
   bool     Execute     (char *CommandLine);
   bool     ShellRun    (char *CommandLine);
   bool     Stop        (char *DummyArg = NULL);

private:

   cMMControl    *VolumeCtrlMaster;
   cMMControl    *VolumeCtrlWave;

  #if defined __BORLANDC__
    #pragma option -w-inl
  #endif
   inline char *nextwhite  (char *p) {
      while (*p && *p != '\t' && *p != ' ') p++;
      return p;
      }

   inline char *nextalnum  (char *p) {
      while (*p && (*p == '\t' || *p == ' ')) p++;
      return p;
      }

  inline  bool nextarg     (char* line,char* word) {
      char *p;

      if (*line && *word && (p = strstr (line,word)) != NULL) {
         int len = (int) strlen (word);
         return line[len] <= 32;
         }
      return false;
      }
  #if defined __BORLANDC__
    #pragma option -w.inl
  #endif
};

